> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superform.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user external claimable rewards

> Returns external claimable rewards for a user



## OpenAPI

````yaml https://persephone.superform.xyz/openapi.json get /v1/rewards/external/claimable/{user_address}
openapi: 3.1.0
info:
  title: Superform API
  description: API for interacting with the Superform platform
  version: 33.2.0
  contact:
    name: Superform Team
    url: https://superform.xyz
servers:
  - url: https://persephone.superform.xyz
security:
  - SF-API-KEY: []
tags:
  - name: RestAPIService
paths:
  /v1/rewards/external/claimable/{user_address}:
    get:
      tags:
        - rewards
      summary: Get user external claimable rewards
      description: Returns external claimable rewards for a user
      operationId: RestAPIService_GetRewardsExternalClaimable
      parameters:
        - name: user_address
          in: path
          required: true
          schema:
            type: string
        - name: force
          description: >-
            Bypass the cached response and refetch from Merkl, e.g. after a
            claim confirms
          in: query
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/restGetRewardsExternalClaimableResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    restGetRewardsExternalClaimableResponse:
      type: object
      properties:
        rewards:
          type: array
          items:
            $ref: '#/components/schemas/commonExternalClaimableRewardsChain'
        total_earned_value_usd:
          type: number
          format: double
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    commonExternalClaimableRewardsChain:
      type: object
      properties:
        extra_data:
          type: string
        tokens:
          type: array
          items:
            $ref: '#/components/schemas/commonExternalClaimableRewardToken'
        chain_id:
          type: string
          format: uint64
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}
    commonExternalClaimableRewardToken:
      type: object
      properties:
        address:
          type: string
        amount:
          type: string
        name:
          type: string
        symbol:
          type: string
        value_usd:
          type: number
          format: double
        price:
          type: number
          format: double
        decimals:
          type: integer
          format: int64
        icon:
          type: string
        chain_id:
          type: string
          format: uint64
        provider_claim_amount:
          type: string
  securitySchemes:
    SF-API-KEY:
      type: apiKey
      description: >-
        API key required for authentication. Use the value {{v2_api_key}} in
        Postman.
      name: SF-API-KEY
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.